org.apache.fop.render.mif

## Class RulingElement

- java.lang.Object
- - org.apache.fop.render.mif.MIFElement
  - - org.apache.fop.render.mif.RefElement
    - - org.apache.fop.render.mif.RulingElement

-     public class RulingElement
      extends RefElement

  a ruling element

- - ### Field Summary

    - ### Fields inherited from class org.apache.fop.render.mif.MIFElement

      `finish, finished, name, started, valueElements, valueStr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RulingElement()` default constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MIFElement` | `lookupElement(java.lang.Object key)`

    - ### Methods inherited from class org.apache.fop.render.mif.MIFElement

      `addElement, finish, output, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RulingElement

          public RulingElement()

      default constructor

  - ### Method Detail

    - #### lookupElement

          public MIFElement lookupElement(java.lang.Object key)

      Overrides:
        `lookupElement` in class `RefElement`
      Parameters:
        `key` - a key
      Returns:
        an mif element

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.